content view tag filters including all tags referencing a manifest

05/30/2018 04:20 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: Content Views   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1592888 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/746
Description

A container image manifest may have more than one tag. For example, tags latest, 3.9, and 3.9.27-1 may all reference the same

image. When creating a content view filter that includes only 3.9, the other tags should be excluded. The code currently includes all

three of the tags in this example.

To test, sync a repo like registry.redhat.io/openshift3/cri-o, then create a cv filter to include just 3.9. Publish the cv and note that there

are 3 tags.

Associated revisions

Revision 5630b0c0 - 06/29/2018 01:35 PM - Thomas McKay

fixes #23747 - correct filter tags

History

#1 - 05/30/2018 05:48 PM - Andrew Kofink

- translation missing: en.field_release set to 338

#2 - 05/30/2018 05:50 PM - Andrew Kofink

- Assignee set to Thomas McKay

#3 - 06/19/2018 02:15 PM - Thomas McKay

- Bugzilla link set to 1592888

#4 - 06/19/2018 02:18 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7464 added

#5 - 06/29/2018 02:02 PM - Thomas McKay

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|5630b0c0d0a67e5c05aea26c97e7c0206f1b02d8.
